AutoCad - LISP -Necesito q Seleccione un Objeto, pero, picando punto con GETPOINT

 
Vista:
Imágen de perfil de francisco

LISP -Necesito q Seleccione un Objeto, pero, picando punto con GETPOINT

Publicado por francisco (13 intervenciones) el 08/09/2022 21:27:44
Hola, si alguien me puede ayudar por favor con LISP.
Es q Necesito Seleccionar un Objeto, pero, picando punto con GETPOINT
Sé q se puede porq alguna vez lo vi hace años, pero perdí la forma de hacerlo.
Gracias por la ayuda !!
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder
sin imagen de perfil
Val: 1.285
Oro
Ha mantenido su posición en AutoCad (en relación al último mes)
Gráfica de AutoCad

LISP -Necesito q Seleccione un Objeto, pero, picando punto con GETPOINT

Publicado por Gerardo (1000 intervenciones) el 09/09/2022 18:11:59
Hola
Supongo que te refieres a la entidad que pasa por el punto dado. Y supongo que el motivo de no usar (entsel) es que el punto lo tienes desde antes de crear la entidad, de lo contrario no tendría sentido usar getpoint y además hacer la selección en vez de usar entsel de una sola vez

Eso de seleccionar la entidad que pasa por un punto se consigue con solo pasarle las coordenadas a ssget, sin especificar modo
1
2
(ssget '(x y z))

Importante un control de error en caso de que ninguna entidad pase exactamente por el punto, ya que si así fuera ssget devolvería nil, y al tratar de acceder al conjunto de seleccion con ssname lanzaría un error.

1
2
3
(if	(setq ss (ssget (getpoint)))
	(setq entidad (ssname ss 0))
)

y si no era eso lo que buscas, quizás debas explicar un poco más cual es el proceso que tratas de resolver
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar